Bug 779160 - (SOA-1555) Schema Validation - Reading from file/URL is not supported
Schema Validation - Reading from file/URL is not supported
Status: CLOSED NOTABUG
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.0 ER1
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Burr Sutter
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-26 07:51 EDT by Jiri Pechanec
Modified: 2009-12-02 05:16 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-02 05:16:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-1555 None None None Never

  None (edit)
Description Jiri Pechanec 2009-10-26 07:51:41 EDT
Date of First Response: 2009-10-26 08:06:12
project_key: SOA

From PRD: 
...and accepts a parameter of a relative or absolute path (local file, URL, etc) to a XSD file

Only reading from classpath is supported now

ERD reference:
4.1.22 Schema Validation
 Priority:                                        Status:
                    High                                      Committed
 Responsible team:                                Originator:
                    JBoss ESB                                 Engineering
 Requirement:       Action for Schema validation.
 Comments:
 Attachments:
 Interdependencies:
Comment 1 Kevin Conner 2009-10-26 08:06:12 EDT
This is correct, file and URL are not supported.
Comment 2 Kevin Conner 2009-10-26 10:47:34 EDT
File and URL were not agreed to, only resource (classpath).
Comment 3 Jiri Pechanec 2009-10-27 05:59:36 EDT
Please review the issues and create change requests if you feel the issues are valid, otherwise resolve them as rejected
Comment 4 Burr Sutter 2009-10-30 16:57:34 EDT
I assume classpath means that I can refer to "/schemas/my.xsd" inside of the exploded or zipped .esb archive then I think that is a good solution.  

Based on classpath, it should also be able to pick up any XSD loaded inside the UCL as well or is that a bad assumption?


Comment 5 Kevin Conner 2009-11-02 05:15:35 EST
Yes, any schema which is available through the normal classloading mechanism can be referenced.
Comment 6 trev 2009-12-02 05:16:15 EST
ESB only support classloading mechanism which is already present

Note You need to log in before you can comment on or make changes to this bug.